=== debian/changelog ===
ros-noetic-roslint (0.12.0-1focal) focal; urgency=high

  * Misc tidying for ROS Noetic. (#79 <https://github.com/ros/roslint//issues/79>)
    - Invoke wrappers with python -m instead of as scripts.
    - Drop logic not needed with CATKIN_ENV used.
    - Drop unneeded install of the cmake extra.
    - Print output as well as capturing in test wrapper.
  * Bump CMake version to avoid CMP0048 warning (#77 <https://github.com/ros/roslint//issues/77>)
  * Fix is-not usage in cpplint-wrapper (#76 <https://github.com/ros/roslint//issues/76>)
    Python complains about this during installation now.
  * Bump to latest pycodestyle.
  * Python 3 fixes for cpplint.
  * Bump cpplint.py to latest version
  * Update URL to cpplint
  * Support for headers outside of include folder (#68 <https://github.com/ros/roslint//issues/68>)
  * Adding hpp to default list of extensions. (#69 <https://github.com/ros/roslint//issues/69>)
  * CheckBracers now correctly accepts C++11 bracer-init-lists passed as arguments to functions (#63 <https://github.com/ros/roslint//issues/63>)
  * Contributors: Joshua Whitley, Maciej Żurad, Mike Purvis, Shane Loretz, mistoll

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 16 Mar 2020 04:00:00 -0000

ros-noetic-roslint (0.11.2-1focal) focal; urgency=high

  * Define xrange() for Python 3 (#60 <https://github.com/ros/roslint/issues/60>)
  * Contributors: cclauss

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 21 Mar 2018 04:00:00 -0000

ros-noetic-roslint (0.11.1-1focal) focal; urgency=high

  * Set testcase class name, simplify result XML. (#53 <https://github.com/ros/roslint/issues/53>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 17 Mar 2017 04:00:00 -0000

ros-noetic-roslint (0.11.0-1focal) focal; urgency=high

  * Add Alex Henning as maintainer
  * Moved default flags for cpplint from cmake file to cpplint script to have centralized place for such flag.
  * Set the python max-line-length to 120, allows rosrun roslint pep8 to run with the expected settings.
  * Fixes issue #40 <https://github.com/ros/roslint/issues/40>.
  * Contributors: Alex Henning, Andriy Petlovanyy, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 Mar 2016 04:00:00 -0000

ros-noetic-roslint (0.10.0-1focal) focal; urgency=high

  * Updated pep8 from 1.4.7a0 to 1.6.2
  * Updated cpplint to the latest version (https://github.com/google/styleguide/tree/554223dc5432f9bd67951cde662f7a023c512dec)
  * Fix for falsely reporting do-whiles as an error
  * Fixes for access control in structs
  * Contributors: Alex Henning, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Aug 2015 04:00:00 -0000

ros-noetic-roslint (0.9.3-1focal) focal; urgency=high

  * Don't hang on header outside "include" dir.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 06 Jan 2015 05:00:00 -0000

ros-noetic-roslint (0.9.2-1focal) focal; urgency=high

  * Better implementation of roslint_add_test
  * Simple implementation of XML results output
  * roslint roslints itself
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 31 Mar 2014 04:00:00 -0000

ros-noetic-roslint (0.9.1-1focal) focal; urgency=high

  * Add roslint_add_test function
  * Run the include-line checks with errors suppressed. This kills spurious build/include_what_you_use errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Feb 2014 05:00:00 -0000

ros-noetic-roslint (0.9.0-1focal) focal; urgency=high

  * Allow a trailing semicolon after closing brace.
  * Add more tolerance for braces as array initializers, and eliminate the warning about access control labels.
  * Rename python library to roslint, to play better.
  * Use templated extras file to find roslint scripts without rosrun.
  * Max length override for pep8; remove roslint custom shout.
  * Add some overrides in an effort to comply better with ROS C++ Style.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 17 Feb 2014 05:00:00 -0000

ros-noetic-roslint (0.0.1-1focal) focal; urgency=high

  * Basic initial release, with roslint_python, roslint_cpp, and roslint_custom macros included.
  * pep8 and cpplint linters packaged-in.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000
